groovy.beans

## Class DefaultPropertyAccessor

- java.lang.Object
- - groovy.beans.DefaultPropertyAccessor

- All Implemented Interfaces:
    PropertyAccessor, PropertyReader, PropertyWriter

      public class DefaultPropertyAccessor
      extends java.lang.Object
      implements PropertyAccessor

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static PropertyAccessor` | `INSTANCE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultPropertyAccessor()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `read(java.lang.Object owner, java.lang.String propertyName)`
    `void` | `write(java.lang.Object owner, java.lang.String propertyName, java.lang.Object value)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### INSTANCE

          public static final PropertyAccessor INSTANCE

  - ### Constructor Detail

    - #### DefaultPropertyAccessor

          public DefaultPropertyAccessor()

  - ### Method Detail

    - #### read

          public java.lang.Object read(java.lang.Object owner,
                                       java.lang.String propertyName)

      Specified by:
        `read` in interface `PropertyReader`

    - #### write

          public void write(java.lang.Object owner,
                            java.lang.String propertyName,
                            java.lang.Object value)

      Specified by:
        `write` in interface `PropertyWriter`